<div align="center">
  <img src="https://raw.githubusercontent.com/Matteo-Valerio/pyBioPortal/master/docs/logo/pbp_light.svg"><br>
</div>

-----------------

# pybioportal: a Python package to easily retrieve data from cBioPortal

| | |
| --- | --- |
| Package | [![PyPI Latest Release](https://img.shields.io/pypi/v/pybioportal.svg)](https://pypi.org/project/pybioportal/) [![PyPI Downloads](https://img.shields.io/pypi/dm/pybioportal)](https://pypi.org/project/pybioportal/) [![Conda Latest Release](https://anaconda.org/matteo.valerio/pybioportal/badges/version.svg)](https://anaconda.org/matteo.valerio/pybioportal) [![Conda Downloads](https://img.shields.io/conda/dn/matteo.valerio/pybioportal)](https://anaconda.org/matteo.valerio/pybioportal) |
| Meta | [![License - BSD 3-Clause](https://img.shields.io/pypi/l/pybioportal.svg)](https://github.com/Matteo-Valerio/pyBioPortal/blob/master/LICENSE.txt) |


## What is it?

**pybioportal** is an open source, BSD-licensed [Python] library that provides a set of 
functions to facilitate data acquisition from the [cBioPortal Web Public API] and the transformation 
of that data into useful data structures.

It allows users to easily query the cBioPortal public API and retrieve the data directly in the form of a
[pandas] DataFrame, making the data accessible and ready for analysis.

It is an essential tool for researchers and biological data analysts who wish to access and leverage 
cBioPortal resources for their research and bioinformatic analysis projects.

[Python]: https://www.python.org/
[cBioPortal Web Public API]: https://www.cbioportal.org/api/swagger-ui/index.html
[pandas]: https://pandas.pydata.org/


## Where to get it
The source code is currently hosted on GitHub at:
https://github.com/Matteo-Valerio/pyBioPortal

Binary installers for the latest released version are available at the [Python
Package Index (PyPI)] and on [Anaconda].

[Python Package Index (PyPI)]: https://pypi.org/project/pybioportal
[Anaconda]: https://anaconda.org/matteo.valerio/pybioportal


```sh
# PyPI
pip install pybioportal
```

```sh
# Anaconda
conda install -c matteo.valerio pybioportal
```


## License
[BSD 3](LICENSE.txt)

## Documentation
The official documentation is hosted on [ReadtheDocs](https://pybioportal.readthedocs.io/en/latest/).

## Contributing to pybioportal
Bug reports, bug fixes, documentation improvements, enhancements and ideas are welcome and can be made 
on [![GitHub](https://img.shields.io/badge/github-blue?logo=github)](https://github.com/Matteo-Valerio/pyBioPortal) 
and/or by sending an [![email](https://img.shields.io/badge/email-red?logo=maildotru)](mailto:mv.datascientist@outlook.com) or [![telegram](https://img.shields.io/badge/telegram-gray?logo=telegram)](https://telegram.me/MatteoValerio) message to the author.
